import numpy as np
import cv2
import mss
from PIL import Image
import pytesseract
import numpy
from tkinter import *
import keyboard

pytesseract.pytesseract.tesseract_cmd = r"C:/Program Files (x86)/Tesseract-OCR/tesseract.exe"

start = False
x = 45
y = 2220
a = 200
b = 35
	
with mss.mss() as sct:
	
	x = int(x)
	y = int(y)
	x = int(a)
	y = int(b)

	while True:
		bounding_box = {'top': x, 'left': y, 'width': a, 'height': b}
		sct_img = sct.grab(bounding_box)
		img = numpy.array(sct_img)
		hsv = cv2.bitwise_not(img)
		hsv = cv2.cvtColor(hsv, cv2.COLOR_BGR2HSV)
		lower_white = np.array([0,0,0])
		upper_white = np.array([110, 110, 110])
		mask = cv2.inRange(hsv, lower_white, upper_white)
		mask = cv2.bitwise_not(mask)
		mask = cv2.resize(mask, (a*3, b*3), interpolation = cv2.INTER_AREA)
		
		cv2.imshow('screen', mask)
		if start == True:
			text = pytesseract.image_to_string(mask)
			print(text)
	
		if (cv2.waitKey(1) & 0xFF) == ord('q'):
			cv2.destroyAllWindows()
			
		if keyboard.is_pressed('right'):
			print(y)
			y = y+10
		if keyboard.is_pressed('left'):
			print(y)
			y = y-10
		if keyboard.is_pressed('up'):
			print(x)
			x = x-10
		if keyboard.is_pressed('down'):
			print(x)
			x = x+10
		if keyboard.is_pressed('u'):
			print('You Pressed Start!')
			start = True